

const float WORLD_WIDTH = 1000;
const float WORLD_HEIGHT = 1000;

//draw picture away frome edges
const float OFFSET = 20;
const float NEW_WORLD_WIDTH = WORLD_WIDTH -2 * OFFSET;
const float NEW_WORLD_HEIGHT = WORLD_HEIGHT -2 * OFFSET;
	

char buffer[2048];
char display_graphics = 'n';

void my_update_message (char *msg) 
{
	printf(msg);
	printf("\n");
	if (display_graphics != 'n')
	{
		update_message(msg);
	}
}

void 
my_event_loop (void (*act_on_button)(float x, float y, int flags), 
			void (*act_on_mousemove)(float x, float y), 
			void (*act_on_keypress)(int i),
			void (*drawscreen) (void)) 
{
	if (display_graphics != 'n')
	{
		drawscreen(); //for linux
		event_loop(act_on_button, act_on_mousemove, act_on_keypress, drawscreen);
	}
}



void delay (void);
void button_press (float x, float y, int flags);
void drawscreen (void);
void new_button_func (void (*drawscreen_ptr) (void));
void mouse_move (float x, float y);
void key_press (int i);


void clean_up(void) {
	// function to do "clean up" when the graphics window is closed unexpectedly.
}

void button_press (float x, float y, int flags) {

/* Called whenever event_loop gets a button press in the graphics *
 * area.  Allows the user to do whatever he/she wants with button *
 * clicks.                                                        */

 printf("User clicked a button at coordinates (%f, %f)", x, y);
/*
 if (flags & MOUSECLK_CONTROL)
	 printf(", CTRL pressed");
 if (flags & MOUSECLK_SHIFT)
	 printf(", SHIFT pressed");
*/
 printf("\n");
}


void new_button_func (void (*drawscreen_ptr) (void)) {

 printf ("You pressed the new button!\n");
 setcolor (MAGENTA);
 setfontsize (12);
 drawtext (500., 500., "You pressed the new button!", 10000.);
}

void mouse_move (float x, float y) {
	// function to handle mouse move event, the current mouse position in the current world coordinate
	// as defined as MAX_X and MAX_Y in init_world is returned
}

void key_press (int i) {
	// function to handle keyboard press event, the ASCII character is returned
}

